pfodParser 5.0.1 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | Protected Attributes | List of all members
pfodLinkedList< T > Class Template Reference

`#include <pfodLinkedList.h>`

## Public Member Functions
| pfodLinkedList ()
virtual | ~pfodLinkedList ()
virtual size_t | size ()
virtual bool | add (T *)
virtual bool | append (T *_t)
virtual size_t | getIndex (T *)
virtual bool | contains (T *)
virtual T * | getCurrentIterator ()
virtual bool | setCurrentIterator (T *_current)
virtual T * | remove (T *)
virtual T * | remove (size_t idx)
virtual bool | insertAt (T *, size_t idx)
virtual T * | remove ()
virtual T * | getFirst ()
virtual T * | getNext ()
virtual T * | get (size_t idx)
virtual void | clear ()

## Protected Attributes
pfodListNode< T > * | root
pfodListNode< T > * | current
size_t | count

## Detailed Description

### template<typename T>
class pfodLinkedList< T >

Definition at line 50 of file pfodLinkedList.h.

## Constructor & Destructor Documentation

## ◆ pfodLinkedList()

template<typename T >

pfodLinkedList< T >::pfodLinkedList

Definition at line 211 of file pfodLinkedList.h.

## ◆ ~pfodLinkedList()

template<typename T >

pfodLinkedList< T >::~pfodLinkedList
| virtual

Definition at line 221 of file pfodLinkedList.h.

## Member Function Documentation

## ◆ add()

template<typename T >

bool pfodLinkedList< T >::add | ( | T * | _t | ) |
| virtual

Definition at line 241 of file pfodLinkedList.h.

## ◆ append()

template<typename T >

bool pfodLinkedList< T >::append | ( | T * | _t | ) |
| virtual

Definition at line 267 of file pfodLinkedList.h.

## ◆ clear()

template<typename T >

void pfodLinkedList< T >::clear
| virtual

Definition at line 561 of file pfodLinkedList.h.

## ◆ contains()

template<typename T >

bool pfodLinkedList< T >::contains | ( | T * | _t | ) |
| virtual

Definition at line 374 of file pfodLinkedList.h.

## ◆ get()

template<typename T >

T * pfodLinkedList< T >::get | ( | size_t | idx | ) |
| virtual

Definition at line 540 of file pfodLinkedList.h.

## ◆ getCurrentIterator()

template<typename T >

T * pfodLinkedList< T >::getCurrentIterator
| virtual

Definition at line 389 of file pfodLinkedList.h.

## ◆ getFirst()

template<typename T >

T * pfodLinkedList< T >::getFirst
| virtual

Definition at line 511 of file pfodLinkedList.h.

## ◆ getIndex()

template<typename T >

size_t pfodLinkedList< T >::getIndex | ( | T * | _t | ) |
| virtual

Definition at line 352 of file pfodLinkedList.h.

## ◆ getNext()

template<typename T >

T * pfodLinkedList< T >::getNext
| virtual

Definition at line 524 of file pfodLinkedList.h.

## ◆ insertAt()

template<typename T >

bool pfodLinkedList< T >::insertAt | ( | T * | _t,
|  | size_t | idx
| ) |  |
| virtual

Definition at line 442 of file pfodLinkedList.h.

## ◆ remove() [1/3]

template<typename T >

T * pfodLinkedList< T >::remove
| virtual

Definition at line 486 of file pfodLinkedList.h.

## ◆ remove() [2/3]

template<typename T >

T * pfodLinkedList< T >::remove | ( | size_t | idx | ) |
| virtual

Definition at line 426 of file pfodLinkedList.h.

## ◆ remove() [3/3]

template<typename T >

T * pfodLinkedList< T >::remove | ( | T * | _t | ) |
| virtual

Definition at line 302 of file pfodLinkedList.h.

## ◆ setCurrentIterator()

template<typename T >

bool pfodLinkedList< T >::setCurrentIterator | ( | T * | _current | ) |
| virtual

Definition at line 403 of file pfodLinkedList.h.

## ◆ size()

template<typename T >

size_t pfodLinkedList< T >::size
| virtual

Definition at line 230 of file pfodLinkedList.h.

## Member Data Documentation

## ◆ count

template<typename T >

size_t pfodLinkedList< T >::count
| protected

Definition at line 55 of file pfodLinkedList.h.

## ◆ current

template<typename T >

pfodListNode<T>* pfodLinkedList< T >::current
| protected

Definition at line 54 of file pfodLinkedList.h.

## ◆ root

template<typename T >

pfodListNode<T>* pfodLinkedList< T >::root
| protected

Definition at line 53 of file pfodLinkedList.h.